# Class PixelOrientation

Object
CodeList<PixelOrientation>
PixelOrientation

All Implemented Interfaces:
  `Serializable, Comparable<PixelOrientation>`

@UML(identifier="MD_PixelOrientationCode", specification=ISO_19115) public final class PixelOrientation extends CodeList<PixelOrientation>
Point in a pixel corresponding to the Earth location of the pixel.

This code list is restricted to the two-dimensional case. A similar code list, `PixelInCell`, can be used for n-dimensional grid cell.

Since:
  2.0
See Also:
  - `PixelInCell`
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PixelOrientation`
  `CENTER`
  Point in a pixel corresponding to the Earth location of the pixel.
  `static final PixelOrientation`
  `LOWER_LEFT`
  The corner in the pixel closest to the origin of the SRS; if two are at the same distance from the origin, the one with the smallest x-value.
  `static final PixelOrientation`
  `LOWER_RIGHT`
  Next corner counterclockwise from the lower left.
  `static final PixelOrientation`
  `UPPER_LEFT`
  Next corner counterclockwise from the upper right.
  `static final PixelOrientation`
  `UPPER_RIGHT`
  Next corner counterclockwise from the lower right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PixelOrientation[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static PixelOrientation`
  `valueOf(String code)`
  Returns the pixel orientation that matches the given string, or returns a new one if none match it.
  `static PixelOrientation[]`
  `values()`
  Returns the list of `PixelOrientation`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CENTER

    @UML(identifier="center", obligation=CONDITIONAL, specification=ISO_19115) public static final PixelOrientation CENTER
    Point in a pixel corresponding to the Earth location of the pixel.
    See Also:
      - `PixelInCell​.CELL_CENTER`

  - ### LOWER_LEFT

    @UML(identifier="lowerLeft", obligation=CONDITIONAL, specification=ISO_19115) public static final PixelOrientation LOWER_LEFT
    The corner in the pixel closest to the origin of the SRS; if two are at the same distance from the origin, the one with the smallest x-value.
    See Also:
      - `PixelInCell​.CELL_CORNER`
    "TODO:"
      The sentence "closest to the origin of the SRS probably applies to positive coordinates only. For the general case including both positive and negative coordinates, we should probably read "in the direction of negative infinity". This interpretation should be clarified with ISO.

  - ### LOWER_RIGHT

    @UML(identifier="lowerRight", obligation=CONDITIONAL, specification=ISO_19115) public static final PixelOrientation LOWER_RIGHT
    Next corner counterclockwise from the lower left.

  - ### UPPER_RIGHT

    @UML(identifier="upperRight", obligation=CONDITIONAL, specification=ISO_19115) public static final PixelOrientation UPPER_RIGHT
    Next corner counterclockwise from the lower right.

  - ### UPPER_LEFT

    @UML(identifier="upperLeft", obligation=CONDITIONAL, specification=ISO_19115) public static final PixelOrientation UPPER_LEFT
    Next corner counterclockwise from the upper right.

- ## Method Details

  - ### values

    public static PixelOrientation[] values()
    Returns the list of `PixelOrientation`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public PixelOrientation[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<PixelOrientation>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static PixelOrientation valueOf(String code)
    Returns the pixel orientation that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.